#include <unistd.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>

#include <gtk/gtk.h>

#include "hello-gtk-led.h"

#define LED_DEV "/sys/devices/platform/armadillo5x0_led.0/leds/status/brightness"

static int led_fd;

void led_setup(void)
{
	led_fd = open(LED_DEV, O_WRONLY);
	if (led_fd < 0)
		g_error("Unable to open LED");

}

void led_teardown(void)
{
	close(led_fd);
}

void led_set(enum LEDStatus status)
{
	if (status == LED_ON)
		write(led_fd, "1", 1);
	else
		write(led_fd, "0", 1);
}

